{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}{{ form.vars.data.id ? "Modifier une question" : "Nouvelle question" }}{% endblock %}
{% set _breadcrumb = ['Aide', ['Foire aux questions', 'faq.index'], block('title')] %}

{% block content %}
    <section class="content-header">
        <h1>
            <a href="{{ path('faq.index') }}" class="btn btn-white btn-sm pull-right"><span class="fa fa-chevron-left"></span> &nbsp;Revenir
                à la FAQ</a>
            {{ block('title') }}
        </h1>
    </section>
    <section class="content">
        {{ form_start(form) }}
        <div class="box box-solid">
                <div class="box-body">
                    {{ form_errors(form) }}
                    {{ form_row(form.question) }}
                    {{ form_row(form.theme) }}
                    {{ form_row(form.new_theme) }}
                    {{ form_row(form.answer) }}
                </div>
            <div class="box-footer">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            {{ form_widget(form.save) }}
                            {% if form.vars.data.id %}
                                <a href="{{ path('faq.remove', {'id': form.vars.data.id}) }}" data-toggle="modal-remote" class="btn btn-danger pull-right">Supprimer</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        {{ form_end(form) }}
    </section>
{% endblock %}
